Subject: [PATCH v3 1/4] thermal: rockchip: add driver for thermal

From: [email-masked] (Eduardo Valentin)
Date: Thu, 28 Aug 2014 10:37:35 -0400

Ceasar and Arnd,

On Thu, Aug 28, 2014 at 10:48:23AM +0200, Arnd Bergmann wrote:
> On Thursday 28 August 2014 08:59:19 Caesar Wang wrote:
> > Thermal is TS-ADC Controller module supports user-defined mode and automatic mode.
> > 
> > User-defined mode refers,TSADC all the control signals entirely by software
> > writing to register for direct control.
> > 
> > Automaic mode refers to the module automatically poll TSADC output,and the results
> > Were checked.
> > 
> > If you find that the temperature High in a period of time, an interrupt is generated
> > to the processor down-measures taken;if the temperature over a period of time High,
> > the resulting TSHUT gave CRU module,let it reset the entire chip, or via GPIO give PMIC.
> > 
> > Signed-off-by: zhaoyifeng <[email-masked]>
> > Signed-off-by: Caesar Wang <[email-masked]>
> 
> Hi Caesar,
> 
> After looking at the driver (last time I only received the patch for
> the binding), I have a more general comment:
> 
> This looks like a general-purpose ADC device, not an IP block that is
> specific to thermal management. The binding looks ok for that purpose
> but should probably be moved into Documentation/devicetree/bindings/iio/adc/
> as a minor change.
> 

I agree with Arnd's point here. It makes sense to me to have this driver
under the IIO umbrella. 

> On the driver side, I believe the correct way to deal with this setup
> is to split your driver into a generic drivers/iio/adc/rockchips-tsadc.c
> file, and a smaller thermal driver that uses the iio in-kernel interfaces,
> ideally one that is independent of the underlying hardware and can
> work on any ADC implementation.
> 

Agreed. If you can write such interface and make your driver to work in
such way, that would be great.

> I've put the IIO maintainer on Cc in this mail, maybe Jonathan or someone
> else on the linux-iio mailing list has some extra insight.
> 
> 	Arnd

Cheers,

Eduardo